<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/TransferValues.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/d9e/_transfer_values_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">TransferValues.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dc/d9e/_transfer_values_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span> </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="keyword">class </span>TransferValues <span class="keyword">extends</span> <a class="code hl_class" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>{</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span> </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#af8ca5f5c251497c174c46414829456b5">    6</a></span>    <span class="keyword">const</span> <span class="keywordtype">int</span> TYPE_HEALTH   = 1;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#af988747f33d0a14cb1de14a0f7870317">    7</a></span>    <span class="keyword">const</span> <span class="keywordtype">int</span> TYPE_BLOOD    = 2;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#aa9aa8a00cdadb0886abd7226ef3202f5">    9</a></span>    <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d8/df5/_injury_handler_8c.html#a859d24d134564f07697afe50c122f8ce">VALUE_CHECK_INTERVAL</a>        = 5;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#a8b962303a4b068de1cca11b73dd0c1b5">   10</a></span>    <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d8/df5/_injury_handler_8c.html#a5252b3258826274dedbd2d371b18633f">SENSITIVTY_PERCENTAGE</a>       = 1;<span class="comment">//how much the value needs to change up/down from previous update to trigger a new update(in percent)</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span> </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#a12f688f225d2fd76ee5e679e4d4c424d">   12</a></span>    <span class="keyword">const</span> <span class="keywordtype">int</span> BLOOD_THRESHOLD_LOW = 3000;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#a98fab370b3e6270a66843b1864f8acdd">   13</a></span>    <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> <a class="code hl_variable" href="../../d5/d78/group___enforce.html#a98fab370b3e6270a66843b1864f8acdd">m_Player</a>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#ab5b5f44163e9caeeb5eaf6320f9751dd">   14</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d8/df5/_injury_handler_8c.html#ace85bb1c839a917298250690516e3275">m_TimeSinceLastTick</a> = <a class="code hl_variable" href="../../d8/df5/_injury_handler_8c.html#a859d24d134564f07697afe50c122f8ce">VALUE_CHECK_INTERVAL</a> + 1;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#afa08e5290026de817525a1ab3c0c3c88">   16</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d5/d78/group___enforce.html#afa08e5290026de817525a1ab3c0c3c88">m_LastHealthUpdate</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#a6c0c08a87f9a12f2786793d368014fad">   17</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d5/d78/group___enforce.html#a6c0c08a87f9a12f2786793d368014fad">m_LastBloodUpdate</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    <span class="comment">//float m_CumulatedHealthDiff;</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    <span class="comment">//float m_CumulatedBloodDiff;</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#ad4ff938132af70d623a8fc2e3f541716">   22</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d5/d78/group___enforce.html#ad4ff938132af70d623a8fc2e3f541716">m_HealthMaxValue</a>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#a14f4d9b5b117042a467684b7b32ba2bc">   23</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d5/d78/group___enforce.html#a14f4d9b5b117042a467684b7b32ba2bc">m_BloodMaxValue</a>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#a6fe2154607b6a8e50f7584bb168aea4c">   25</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d5/d78/group___enforce.html#a6fe2154607b6a8e50f7584bb168aea4c">m_BloodClient</a>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#ac3f201238603d3118f414178eee44743">   26</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d5/d78/group___enforce.html#ac3f201238603d3118f414178eee44743">m_HealthClient</a>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#afb28937eba1a169e033396858b724e45">   28</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d5/d78/group___enforce.html#afb28937eba1a169e033396858b724e45">m_InitialSyncSent</a>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#afa9d92fa12d531fd33b8a786841ef5df">   30</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d78/group___enforce.html#afa9d92fa12d531fd33b8a786841ef5df">TransferValues</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a> = player;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        m_InitialSyncSent = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <a class="code hl_function" href="../../d5/d78/group___enforce.html#a325c9a8c1ba18f0730129835c4934351">Init</a>();</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#a8679e643fbbe94ea22afa1c442501f03">   37</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d78/group___enforce.html#a8679e643fbbe94ea22afa1c442501f03">Init</a>()</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <a class="code hl_variable" href="../../d8/df5/_injury_handler_8c.html#a43dd85902aef9af267fd4215f52a9186">m_LastHealthUpdate</a>  = 0;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        m_LastBloodUpdate   = 0;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <a class="code hl_variable" href="../../d8/df5/_injury_handler_8c.html#a4d9b0280090f0265fc1914f3de2c4e98">m_HealthMaxValue</a>    = <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.GetMaxHealth(<span class="stringliteral">&quot;&quot;</span>, <span class="stringliteral">&quot;Health&quot;</span>);</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        m_BloodMaxValue     = <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.GetMaxHealth(<span class="stringliteral">&quot;&quot;</span>, <span class="stringliteral">&quot;Blood&quot;</span>);</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        m_BloodClient       = 0;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        m_HealthClient      = 0;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#ac01751950195b92cfa88192fb4ab2d67">   47</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d78/group___enforce.html#ac01751950195b92cfa88192fb4ab2d67">OnScheduledTick</a>(<span class="keywordtype">float</span> deltatime)</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    {</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span><span class="preprocessor">        #ifdef DEVELOPER</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <span class="keywordflow">if</span> ( <a class="code hl_class" href="../../dc/d49/group___diag_menu.html#d2/dd2/class_diag_menu">DiagMenu</a>.<a class="code hl_function" href="../../dc/d49/group___diag_menu.html#ga7393b4dbcb2442ab520c89d54b390fed">GetBool</a>(<a class="code hl_enumeration" href="../../d9/dbc/_e_diag_menu_i_ds_8c.html#a85affb4d5021d4465be4205f8cd4e336">DiagMenuIDs</a>.DM_TRANSFER_VALUES_SHOW) )</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>            <span class="keywordflow">if</span>(!<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsDedicatedServer())</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>                <a class="code hl_function" href="../../d5/d78/group___enforce.html#a3ee17ebac3fa74e164b1a39fb51dc723">ShowDebugValues</a>(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            <span class="keywordflow">if</span>(!<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsDedicatedServer())</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>                <a class="code hl_function" href="../../d5/d78/group___enforce.html#a3ee17ebac3fa74e164b1a39fb51dc723">ShowDebugValues</a>(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="keywordflow">if</span>( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsClient() ) <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <a class="code hl_variable" href="../../d8/df5/_injury_handler_8c.html#ace85bb1c839a917298250690516e3275">m_TimeSinceLastTick</a> += deltatime;</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <span class="keywordflow">if</span> (!m_InitialSyncSent)</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        {</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>            <a class="code hl_function" href="../../d5/d78/group___enforce.html#ada770db72cc2606e195d5175200abc63">SendInitValues</a>();</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../d8/df5/_injury_handler_8c.html#ace85bb1c839a917298250690516e3275">m_TimeSinceLastTick</a> &gt; <a class="code hl_variable" href="../../d8/df5/_injury_handler_8c.html#a859d24d134564f07697afe50c122f8ce">VALUE_CHECK_INTERVAL</a> )</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        {</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>            <span class="comment">/*</span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span><span class="comment">            Print(m_TimeSinceLastTick.ToString());</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span><span class="comment">            Print(VALUE_CHECK_INTERVAL.ToString());</span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span><span class="comment">            Print(&quot;--------------&quot;);</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span><span class="comment">            */</span></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>            <a class="code hl_variable" href="../../d8/df5/_injury_handler_8c.html#ace85bb1c839a917298250690516e3275">m_TimeSinceLastTick</a> = 0;</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>            <a class="code hl_function" href="../../d5/d78/group___enforce.html#a9301e384d1a307972fc71690c4c68478">CheckValues</a>();</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>            </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>            <span class="comment">// send sync junctures if necessary</span></div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>            <span class="comment">// TODO: !!!! event is sent too often, please fix it</span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>            <span class="comment">/*</span></div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span><span class="comment">            float damage = 1 - m_Player.GetHealth(&quot;&quot;, &quot;&quot;) / 100;</span></div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span><span class="comment">            DayZPlayerSyncJunctures.SendInjury(m_Player, true, damage);</span></div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span><span class="comment">            */</span></div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        }</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    }</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#a9301e384d1a307972fc71690c4c68478">   89</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d78/group___enforce.html#a9301e384d1a307972fc71690c4c68478">CheckValues</a>()</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    {</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        <a class="code hl_function" href="../../d5/d78/group___enforce.html#a85c9d944ce7fab3b4edcd2a9ab0ab278">CheckHealth</a>();</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        <a class="code hl_function" href="../../d5/d78/group___enforce.html#acda12886d51a9ef33bc73c477f9ededc">CheckBlood</a>();</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    }</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#a5acad31f47ddf28e5a5d500f293fbe7c">   95</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d78/group___enforce.html#a5acad31f47ddf28e5a5d500f293fbe7c">GetBlood</a>()</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    {</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d5/d78/group___enforce.html#a6fe2154607b6a8e50f7584bb168aea4c">m_BloodClient</a>;</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    }</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#a8e1ade05fa0dcefc0573ba55545a9d74">  101</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d78/group___enforce.html#a8e1ade05fa0dcefc0573ba55545a9d74">GetHealth</a>()</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    {</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d5/d78/group___enforce.html#ac3f201238603d3118f414178eee44743">m_HealthClient</a>;</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    }</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#a85c9d944ce7fab3b4edcd2a9ab0ab278">  106</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d78/group___enforce.html#a85c9d944ce7fab3b4edcd2a9ab0ab278">CheckHealth</a>()</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    {</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        <span class="keywordtype">float</span> health_current = <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.GetHealth(<span class="stringliteral">&quot;&quot;</span>,<span class="stringliteral">&quot;Health&quot;</span>);</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <span class="keywordtype">float</span> health_normalized = health_current / <a class="code hl_variable" href="../../d5/d78/group___enforce.html#ad4ff938132af70d623a8fc2e3f541716">m_HealthMaxValue</a>;</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        <span class="keywordtype">float</span> difference_normalized = health_normalized - <a class="code hl_variable" href="../../d5/d78/group___enforce.html#afa08e5290026de817525a1ab3c0c3c88">m_LastHealthUpdate</a>;</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        <span class="keywordtype">float</span> diff_abs = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gadf8820d46eee5033af2e12212c22b16e">AbsFloat</a>(difference_normalized);</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        </div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        <span class="keywordflow">if</span>( diff_abs &gt; ( <a class="code hl_variable" href="../../d8/df5/_injury_handler_8c.html#a5252b3258826274dedbd2d371b18633f">SENSITIVTY_PERCENTAGE</a> /100 ) )</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        {</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>            <a class="code hl_function" href="../../d5/d78/group___enforce.html#a95f4cbfc145009a7756d40d11d24eff1">SendValue</a>(TYPE_HEALTH, health_normalized);</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>            <a class="code hl_variable" href="../../d8/df5/_injury_handler_8c.html#a43dd85902aef9af267fd4215f52a9186">m_LastHealthUpdate</a> = health_normalized;</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        }</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    }</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    <span class="comment">/*void CheckBlood()</span></div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span><span class="comment">    {</span></div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span><span class="comment">        float blood_current = m_Player.GetHealth(&quot;&quot;,&quot;Blood&quot;);</span></div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span><span class="comment">        //float blood_normalized = blood_current / m_BloodMaxValue;</span></div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span><span class="comment">        float blood_normalized = Math.InverseLerp(BLOOD_THRESHOLD_LOW, m_BloodMaxValue, blood_current);</span></div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span><span class="comment">        blood_normalized = Math.Clamp(blood_normalized,0,1);</span></div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span><span class="comment">        float difference_normalized = blood_normalized - m_LastBloodUpdate;</span></div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span><span class="comment">        float diff_abs = Math.AbsFloat(difference_normalized);</span></div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span><span class="comment">        m_CumulatedBloodDiff += diff_abs;</span></div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span><span class="comment">        </span></div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span><span class="comment">        //Print(&quot;DbgBlood | CheckBlood | m_CumulatedBloodDiff: &quot; + m_CumulatedBloodDiff);</span></div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span><span class="comment">        if( m_CumulatedBloodDiff &gt; ( SENSITIVTY_PERCENTAGE /100 ) )</span></div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span><span class="comment">        {</span></div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span><span class="comment">            SendValue(TYPE_BLOOD, blood_normalized);</span></div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span><span class="comment">            m_LastBloodUpdate = blood_normalized;</span></div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span><span class="comment">            //Print(&quot;DbgBlood | CheckBlood | Sending blood: &quot; + blood_normalized);</span></div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span><span class="comment">            m_CumulatedBloodDiff = 0;</span></div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span><span class="comment">        }</span></div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span><span class="comment">        else</span></div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span><span class="comment">        {</span></div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span><span class="comment">            //Print(&quot;DbgBlood | CheckBlood | unsent values blood: &quot; + blood_normalized);</span></div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span><span class="comment">        }</span></div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span><span class="comment">    }*/</span></div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>    </div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#acda12886d51a9ef33bc73c477f9ededc">  144</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d78/group___enforce.html#acda12886d51a9ef33bc73c477f9ededc">CheckBlood</a>()</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>    {</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>        <span class="keywordtype">float</span> blood_current = <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.GetHealth(<span class="stringliteral">&quot;&quot;</span>,<span class="stringliteral">&quot;Blood&quot;</span>);</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>        <span class="comment">//float blood_normalized = blood_current / m_BloodMaxValue;</span></div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        <span class="keywordtype">float</span> blood_normalized = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gaa191e62ab92d20698e58e3a20950471a">InverseLerp</a>(BLOOD_THRESHOLD_LOW, m_BloodMaxValue, blood_current);</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>        blood_normalized = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga939cca08ae6c7facc9293f2dbce3def5">Clamp</a>(blood_normalized,0,1);</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        <span class="keywordtype">float</span> difference_normalized = blood_normalized - <a class="code hl_variable" href="../../d5/d78/group___enforce.html#a6c0c08a87f9a12f2786793d368014fad">m_LastBloodUpdate</a>;</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        <span class="keywordtype">float</span> diff_abs = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gadf8820d46eee5033af2e12212c22b16e">AbsFloat</a>(difference_normalized);</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>        </div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>        <span class="keywordflow">if</span>( diff_abs &gt; ( <a class="code hl_variable" href="../../d8/df5/_injury_handler_8c.html#a5252b3258826274dedbd2d371b18633f">SENSITIVTY_PERCENTAGE</a> /100 ) )</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        {</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>            <a class="code hl_function" href="../../d5/d78/group___enforce.html#a95f4cbfc145009a7756d40d11d24eff1">SendValue</a>(TYPE_BLOOD, blood_normalized);</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>            m_LastBloodUpdate = blood_normalized;</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        }</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>    }</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>    </div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#ada770db72cc2606e195d5175200abc63">  161</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d78/group___enforce.html#ada770db72cc2606e195d5175200abc63">SendInitValues</a>()</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>    {</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        m_InitialSyncSent = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>        </div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        <span class="comment">//HP</span></div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        <span class="keywordtype">float</span> health_current = <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.GetHealth(<span class="stringliteral">&quot;&quot;</span>,<span class="stringliteral">&quot;Health&quot;</span>);</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        <span class="keywordtype">float</span> health_normalized = health_current / <a class="code hl_variable" href="../../d5/d78/group___enforce.html#ad4ff938132af70d623a8fc2e3f541716">m_HealthMaxValue</a>;</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>        <a class="code hl_function" href="../../d5/d78/group___enforce.html#a95f4cbfc145009a7756d40d11d24eff1">SendValue</a>(TYPE_HEALTH, health_normalized);</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        <a class="code hl_variable" href="../../d8/df5/_injury_handler_8c.html#a43dd85902aef9af267fd4215f52a9186">m_LastHealthUpdate</a> = health_normalized;</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>        </div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>        <span class="comment">//Blood</span></div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>        <span class="keywordtype">float</span> blood_current = <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.GetHealth(<span class="stringliteral">&quot;&quot;</span>,<span class="stringliteral">&quot;Blood&quot;</span>);</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>        <span class="keywordtype">float</span> blood_normalized = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gaa191e62ab92d20698e58e3a20950471a">InverseLerp</a>(BLOOD_THRESHOLD_LOW, m_BloodMaxValue, blood_current);</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>        blood_normalized = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga939cca08ae6c7facc9293f2dbce3def5">Clamp</a>(blood_normalized,0,1);</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>        <span class="comment">//Print(&quot;DbgBlood | SendInitValues | blood_normalized: &quot; + blood_normalized);</span></div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>        <a class="code hl_function" href="../../d5/d78/group___enforce.html#a95f4cbfc145009a7756d40d11d24eff1">SendValue</a>(TYPE_BLOOD, blood_normalized);</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>        m_LastBloodUpdate = blood_normalized;</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>    }</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>    </div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#a95f4cbfc145009a7756d40d11d24eff1">  180</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d78/group___enforce.html#a95f4cbfc145009a7756d40d11d24eff1">SendValue</a>(<span class="keywordtype">int</span> value_type, <span class="keywordtype">float</span> value)</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>    {</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>        <a class="code hl_class" href="../../de/d30/class_cached_objects_params.html">CachedObjectsParams</a>.<a class="code hl_variable" href="../../de/d30/class_cached_objects_params.html#a4787afe0304d940a2e577ae1315ea3d3">PARAM2_INT_FLOAT</a>.param1 = value_type;</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>        <a class="code hl_class" href="../../de/d30/class_cached_objects_params.html">CachedObjectsParams</a>.<a class="code hl_variable" href="../../de/d30/class_cached_objects_params.html#a4787afe0304d940a2e577ae1315ea3d3">PARAM2_INT_FLOAT</a>.param2 = value;</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>        </div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a37e75fed7ec2e7935722caf9cc1c6fb9">RPCSingleParam</a>(<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>, <a class="code hl_enumeration" href="../../d0/d66/_e_r_p_cs_8c.html#a6ce2d98a3b8fbdba5b450abf2d6eab37">ERPCs</a>.RPC_DAMAGE_VALUE_SYNC, <a class="code hl_class" href="../../de/d30/class_cached_objects_params.html">CachedObjectsParams</a>.<a class="code hl_variable" href="../../de/d30/class_cached_objects_params.html#a4787afe0304d940a2e577ae1315ea3d3">PARAM2_INT_FLOAT</a>, <span class="keyword">true</span>, <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.GetIdentity());</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>    }</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span> </div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#a73d8229e612569b1f7fd31c551053654">  188</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d78/group___enforce.html#a73d8229e612569b1f7fd31c551053654">ReceiveValue</a>(<span class="keywordtype">int</span> value_type, <span class="keywordtype">float</span> value)</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>    {</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>        <span class="keywordflow">if</span>( value_type == TYPE_HEALTH )</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>        {</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>            m_HealthClient = value;</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>        }</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>( value_type == TYPE_BLOOD )</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>        {</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>            m_BloodClient = value;</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>        }</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>    }</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span> </div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#a059c1976c2e71cf6286fa442f74853ca">  200</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d78/group___enforce.html#a059c1976c2e71cf6286fa442f74853ca">OnRPC</a>(<a class="code hl_class" href="../../d0/dc2/class_serializer.html">ParamsReadContext</a> ctx)</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>    {</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>        ctx.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Read</a>(<a class="code hl_class" href="../../de/d30/class_cached_objects_params.html">CachedObjectsParams</a>.<a class="code hl_variable" href="../../de/d30/class_cached_objects_params.html#a4787afe0304d940a2e577ae1315ea3d3">PARAM2_INT_FLOAT</a>);</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>        </div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>        <span class="keywordtype">int</span> value_type  = <a class="code hl_class" href="../../de/d30/class_cached_objects_params.html">CachedObjectsParams</a>.<a class="code hl_variable" href="../../de/d30/class_cached_objects_params.html#a4787afe0304d940a2e577ae1315ea3d3">PARAM2_INT_FLOAT</a>.param1;</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>        <span class="keywordtype">float</span> value     = <a class="code hl_class" href="../../de/d30/class_cached_objects_params.html">CachedObjectsParams</a>.<a class="code hl_variable" href="../../de/d30/class_cached_objects_params.html#a4787afe0304d940a2e577ae1315ea3d3">PARAM2_INT_FLOAT</a>.param2;</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>        </div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>        <a class="code hl_function" href="../../d5/d78/group___enforce.html#a73d8229e612569b1f7fd31c551053654">ReceiveValue</a>(value_type, value);</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>    }</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>    </div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno"><a class="line" href="../../d5/d78/group___enforce.html#a3ee17ebac3fa74e164b1a39fb51dc723">  210</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d78/group___enforce.html#a3ee17ebac3fa74e164b1a39fb51dc723">ShowDebugValues</a>(<span class="keywordtype">bool</span> show)</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>    {</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span><span class="preprocessor">        #ifdef DEVELOPER</span></div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>        <span class="keywordflow">if</span>( show )</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>        {</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>            </div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>            <a class="code hl_class" href="../../d7/d90/group___debug_u_i.html#d0/d68/class_dbg_u_i">DbgUI</a>.<a class="code hl_function" href="../../d7/d90/group___debug_u_i.html#ga90eaad9242222353563e08f504a67874">BeginCleanupScope</a>();     </div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>            <a class="code hl_class" href="../../d7/d90/group___debug_u_i.html#d0/d68/class_dbg_u_i">DbgUI</a>.<a class="code hl_function" href="../../d7/d90/group___debug_u_i.html#ga30728517ca5abc300d5f8059d0c95ae2">Begin</a>(<span class="stringliteral">&quot;Values&quot;</span>, 50, 50);</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>            <a class="code hl_class" href="../../d7/d90/group___debug_u_i.html#d0/d68/class_dbg_u_i">DbgUI</a>.<a class="code hl_function" href="../../d7/d90/group___debug_u_i.html#ga80e4034966bbd572ab75cb074f9be584">Text</a>(<span class="stringliteral">&quot;Blood: &quot;</span> + m_BloodClient.<a class="code hl_function" href="../../d4/dc3/classfloat.html#a9aba6f516b6f38a950c55fa9d0b24afb">ToString</a>());</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>            <a class="code hl_class" href="../../d7/d90/group___debug_u_i.html#d0/d68/class_dbg_u_i">DbgUI</a>.<a class="code hl_function" href="../../d7/d90/group___debug_u_i.html#ga80e4034966bbd572ab75cb074f9be584">Text</a>(<span class="stringliteral">&quot;Health: &quot;</span> + m_HealthClient.<a class="code hl_function" href="../../d4/dc3/classfloat.html#a9aba6f516b6f38a950c55fa9d0b24afb">ToString</a>());</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span> </div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>            <a class="code hl_class" href="../../d7/d90/group___debug_u_i.html#d0/d68/class_dbg_u_i">DbgUI</a>.<a class="code hl_function" href="../../d7/d90/group___debug_u_i.html#ga20434f1c0eaa5719d0084d6e0b55c8ad">End</a>();</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>            <a class="code hl_class" href="../../d7/d90/group___debug_u_i.html#d0/d68/class_dbg_u_i">DbgUI</a>.<a class="code hl_function" href="../../d7/d90/group___debug_u_i.html#gaf30d86e33d0a140d42fc8f51fdccb717">EndCleanupScope</a>();</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>        }</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>        {</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>            <a class="code hl_class" href="../../d7/d90/group___debug_u_i.html#d0/d68/class_dbg_u_i">DbgUI</a>.<a class="code hl_function" href="../../d7/d90/group___debug_u_i.html#ga90eaad9242222353563e08f504a67874">BeginCleanupScope</a>();</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>            <a class="code hl_class" href="../../d7/d90/group___debug_u_i.html#d0/d68/class_dbg_u_i">DbgUI</a>.<a class="code hl_function" href="../../d7/d90/group___debug_u_i.html#ga30728517ca5abc300d5f8059d0c95ae2">Begin</a>(<span class="stringliteral">&quot;Values&quot;</span>, 50, 50);</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>            <a class="code hl_class" href="../../d7/d90/group___debug_u_i.html#d0/d68/class_dbg_u_i">DbgUI</a>.<a class="code hl_function" href="../../d7/d90/group___debug_u_i.html#ga20434f1c0eaa5719d0084d6e0b55c8ad">End</a>();</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>            <a class="code hl_class" href="../../d7/d90/group___debug_u_i.html#d0/d68/class_dbg_u_i">DbgUI</a>.<a class="code hl_function" href="../../d7/d90/group___debug_u_i.html#gaf30d86e33d0a140d42fc8f51fdccb717">EndCleanupScope</a>();   </div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>        }</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>    }</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>    </div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>}</div>
<div class="ttc" id="a_e_diag_menu_i_ds_8c_html_a85affb4d5021d4465be4205f8cd4e336"><div class="ttname"><a href="../../d9/dbc/_e_diag_menu_i_ds_8c.html#a85affb4d5021d4465be4205f8cd4e336">DiagMenuIDs</a></div><div class="ttdeci">DiagMenuIDs</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dbc/_e_diag_menu_i_ds_8c_source.html#l00001">EDiagMenuIDs.c:2</a></div></div>
<div class="ttc" id="a_e_r_p_cs_8c_html_a6ce2d98a3b8fbdba5b450abf2d6eab37"><div class="ttname"><a href="../../d0/d66/_e_r_p_cs_8c.html#a6ce2d98a3b8fbdba5b450abf2d6eab37">ERPCs</a></div><div class="ttdeci">ERPCs</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d66/_e_r_p_cs_8c_source.html#l00001">ERPCs.c:2</a></div></div>
<div class="ttc" id="a_hand___events_8c_html_a02917914db83b7759e19cb7450c92354"><div class="ttname"><a href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a></div><div class="ttdeci">Man m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d21/_hand___events_8c_source.html#l00042">Hand_Events.c:42</a></div></div>
<div class="ttc" id="a_injury_handler_8c_html_a43dd85902aef9af267fd4215f52a9186"><div class="ttname"><a href="../../d8/df5/_injury_handler_8c.html#a43dd85902aef9af267fd4215f52a9186">m_LastHealthUpdate</a></div><div class="ttdeci">eInjuryHandlerLevels m_LastHealthUpdate</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/df5/_injury_handler_8c_source.html#l00049">InjuryHandler.c:49</a></div></div>
<div class="ttc" id="a_injury_handler_8c_html_a4d9b0280090f0265fc1914f3de2c4e98"><div class="ttname"><a href="../../d8/df5/_injury_handler_8c.html#a4d9b0280090f0265fc1914f3de2c4e98">m_HealthMaxValue</a></div><div class="ttdeci">float m_HealthMaxValue</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/df5/_injury_handler_8c_source.html#l00050">InjuryHandler.c:50</a></div></div>
<div class="ttc" id="a_injury_handler_8c_html_a5252b3258826274dedbd2d371b18633f"><div class="ttname"><a href="../../d8/df5/_injury_handler_8c.html#a5252b3258826274dedbd2d371b18633f">SENSITIVTY_PERCENTAGE</a></div><div class="ttdeci">const float SENSITIVTY_PERCENTAGE</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/df5/_injury_handler_8c_source.html#l00043">InjuryHandler.c:43</a></div></div>
<div class="ttc" id="a_injury_handler_8c_html_a859d24d134564f07697afe50c122f8ce"><div class="ttname"><a href="../../d8/df5/_injury_handler_8c.html#a859d24d134564f07697afe50c122f8ce">VALUE_CHECK_INTERVAL</a></div><div class="ttdeci">enum eInjuryHandlerLevels VALUE_CHECK_INTERVAL</div></div>
<div class="ttc" id="a_injury_handler_8c_html_ace85bb1c839a917298250690516e3275"><div class="ttname"><a href="../../d8/df5/_injury_handler_8c.html#ace85bb1c839a917298250690516e3275">m_TimeSinceLastTick</a></div><div class="ttdeci">float m_TimeSinceLastTick</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/df5/_injury_handler_8c_source.html#l00047">InjuryHandler.c:47</a></div></div>
<div class="ttc" id="aclass_c_game_html_a37e75fed7ec2e7935722caf9cc1c6fb9"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a37e75fed7ec2e7935722caf9cc1c6fb9">CGame::RPCSingleParam</a></div><div class="ttdeci">void RPCSingleParam(Object target, int rpc_type, Param param, bool guaranteed, PlayerIdentity recipient=NULL)</div><div class="ttdoc">see CGame.RPC</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6e/_global_2game_8c_source.html#l00852">Game.c:852</a></div></div>
<div class="ttc" id="aclass_cached_objects_params_html"><div class="ttname"><a href="../../de/d30/class_cached_objects_params.html">CachedObjectsParams</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d47/_utility_classes_8c_source.html#l00009">UtilityClasses.c:10</a></div></div>
<div class="ttc" id="aclass_cached_objects_params_html_a4787afe0304d940a2e577ae1315ea3d3"><div class="ttname"><a href="../../de/d30/class_cached_objects_params.html#a4787afe0304d940a2e577ae1315ea3d3">CachedObjectsParams::PARAM2_INT_FLOAT</a></div><div class="ttdeci">static ref Param2&lt; int, float &gt; PARAM2_INT_FLOAT</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d47/_utility_classes_8c_source.html#l00017">UtilityClasses.c:17</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_serializer_html"><div class="ttname"><a href="../../d0/dc2/class_serializer.html">Serializer</a></div><div class="ttdoc">Serialization general interface. Serializer API works with:</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc7/_serializer_8c_source.html#l00055">Serializer.c:56</a></div></div>
<div class="ttc" id="aclass_serializer_html_a9a38a9c5322133ee30fe87a3a4c0659e"><div class="ttname"><a href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Serializer::Read</a></div><div class="ttdeci">proto bool Read(void value_in)</div></div>
<div class="ttc" id="aclassfloat_html_a9aba6f516b6f38a950c55fa9d0b24afb"><div class="ttname"><a href="../../d4/dc3/classfloat.html#a9aba6f516b6f38a950c55fa9d0b24afb">float::ToString</a></div><div class="ttdeci">proto string ToString()</div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___debug_u_i_html_d0/d68/class_dbg_u_i"><div class="ttname"><a href="../../d7/d90/group___debug_u_i.html#d0/d68/class_dbg_u_i">DbgUI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d9f/_dbg_u_i_8c_source.html#l00059">DbgUI.c:60</a></div></div>
<div class="ttc" id="agroup___debug_u_i_html_ga20434f1c0eaa5719d0084d6e0b55c8ad"><div class="ttname"><a href="../../d7/d90/group___debug_u_i.html#ga20434f1c0eaa5719d0084d6e0b55c8ad">DbgUI::End</a></div><div class="ttdeci">static proto native void End()</div></div>
<div class="ttc" id="agroup___debug_u_i_html_ga30728517ca5abc300d5f8059d0c95ae2"><div class="ttname"><a href="../../d7/d90/group___debug_u_i.html#ga30728517ca5abc300d5f8059d0c95ae2">DbgUI::Begin</a></div><div class="ttdeci">static proto native void Begin(string windowTitle, float x=0, float y=0)</div></div>
<div class="ttc" id="agroup___debug_u_i_html_ga80e4034966bbd572ab75cb074f9be584"><div class="ttname"><a href="../../d7/d90/group___debug_u_i.html#ga80e4034966bbd572ab75cb074f9be584">DbgUI::Text</a></div><div class="ttdeci">static proto native void Text(string label)</div></div>
<div class="ttc" id="agroup___debug_u_i_html_ga90eaad9242222353563e08f504a67874"><div class="ttname"><a href="../../d7/d90/group___debug_u_i.html#ga90eaad9242222353563e08f504a67874">DbgUI::BeginCleanupScope</a></div><div class="ttdeci">static proto void BeginCleanupScope()</div></div>
<div class="ttc" id="agroup___debug_u_i_html_gaf30d86e33d0a140d42fc8f51fdccb717"><div class="ttname"><a href="../../d7/d90/group___debug_u_i.html#gaf30d86e33d0a140d42fc8f51fdccb717">DbgUI::EndCleanupScope</a></div><div class="ttdeci">static proto native void EndCleanupScope()</div></div>
<div class="ttc" id="agroup___diag_menu_html_d2/dd2/class_diag_menu"><div class="ttname"><a href="../../dc/d49/group___diag_menu.html#d2/dd2/class_diag_menu">DiagMenu</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d19/_en_debug_8c_source.html#l00232">EnDebug.c:233</a></div></div>
<div class="ttc" id="agroup___diag_menu_html_ga7393b4dbcb2442ab520c89d54b390fed"><div class="ttname"><a href="../../dc/d49/group___diag_menu.html#ga7393b4dbcb2442ab520c89d54b390fed">DiagMenu::GetBool</a></div><div class="ttdeci">static proto native bool GetBool(int id, bool reverse=false)</div></div>
<div class="ttc" id="agroup___enforce_html_a059c1976c2e71cf6286fa442f74853ca"><div class="ttname"><a href="../../d5/d78/group___enforce.html#a059c1976c2e71cf6286fa442f74853ca">Managed::OnRPC</a></div><div class="ttdeci">void OnRPC(ParamsReadContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d9e/_transfer_values_8c_source.html#l00200">TransferValues.c:200</a></div></div>
<div class="ttc" id="agroup___enforce_html_a14f4d9b5b117042a467684b7b32ba2bc"><div class="ttname"><a href="../../d5/d78/group___enforce.html#a14f4d9b5b117042a467684b7b32ba2bc">Managed::m_BloodMaxValue</a></div><div class="ttdeci">float m_BloodMaxValue</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d9e/_transfer_values_8c_source.html#l00023">TransferValues.c:23</a></div></div>
<div class="ttc" id="agroup___enforce_html_a325c9a8c1ba18f0730129835c4934351"><div class="ttname"><a href="../../d5/d78/group___enforce.html#a325c9a8c1ba18f0730129835c4934351">Managed::Init</a></div><div class="ttdeci">static void Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d76/_p_p_e_requester_bank_8c_source.html#l00045">PPERequesterBank.c:45</a></div></div>
<div class="ttc" id="agroup___enforce_html_a3ee17ebac3fa74e164b1a39fb51dc723"><div class="ttname"><a href="../../d5/d78/group___enforce.html#a3ee17ebac3fa74e164b1a39fb51dc723">Managed::ShowDebugValues</a></div><div class="ttdeci">void ShowDebugValues(bool show)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d9e/_transfer_values_8c_source.html#l00210">TransferValues.c:210</a></div></div>
<div class="ttc" id="agroup___enforce_html_a5acad31f47ddf28e5a5d500f293fbe7c"><div class="ttname"><a href="../../d5/d78/group___enforce.html#a5acad31f47ddf28e5a5d500f293fbe7c">Managed::GetBlood</a></div><div class="ttdeci">float GetBlood()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d9e/_transfer_values_8c_source.html#l00095">TransferValues.c:95</a></div></div>
<div class="ttc" id="agroup___enforce_html_a6c0c08a87f9a12f2786793d368014fad"><div class="ttname"><a href="../../d5/d78/group___enforce.html#a6c0c08a87f9a12f2786793d368014fad">Managed::m_LastBloodUpdate</a></div><div class="ttdeci">float m_LastBloodUpdate</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d9e/_transfer_values_8c_source.html#l00017">TransferValues.c:17</a></div></div>
<div class="ttc" id="agroup___enforce_html_a6fe2154607b6a8e50f7584bb168aea4c"><div class="ttname"><a href="../../d5/d78/group___enforce.html#a6fe2154607b6a8e50f7584bb168aea4c">Managed::m_BloodClient</a></div><div class="ttdeci">float m_BloodClient</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d9e/_transfer_values_8c_source.html#l00025">TransferValues.c:25</a></div></div>
<div class="ttc" id="agroup___enforce_html_a73d8229e612569b1f7fd31c551053654"><div class="ttname"><a href="../../d5/d78/group___enforce.html#a73d8229e612569b1f7fd31c551053654">Managed::ReceiveValue</a></div><div class="ttdeci">void ReceiveValue(int value_type, float value)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d9e/_transfer_values_8c_source.html#l00188">TransferValues.c:188</a></div></div>
<div class="ttc" id="agroup___enforce_html_a85c9d944ce7fab3b4edcd2a9ab0ab278"><div class="ttname"><a href="../../d5/d78/group___enforce.html#a85c9d944ce7fab3b4edcd2a9ab0ab278">Managed::CheckHealth</a></div><div class="ttdeci">void CheckHealth()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d9e/_transfer_values_8c_source.html#l00106">TransferValues.c:106</a></div></div>
<div class="ttc" id="agroup___enforce_html_a8679e643fbbe94ea22afa1c442501f03"><div class="ttname"><a href="../../d5/d78/group___enforce.html#a8679e643fbbe94ea22afa1c442501f03">Managed::Init</a></div><div class="ttdeci">void Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d9e/_transfer_values_8c_source.html#l00037">TransferValues.c:37</a></div></div>
<div class="ttc" id="agroup___enforce_html_a8e1ade05fa0dcefc0573ba55545a9d74"><div class="ttname"><a href="../../d5/d78/group___enforce.html#a8e1ade05fa0dcefc0573ba55545a9d74">Managed::GetHealth</a></div><div class="ttdeci">float GetHealth()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d9e/_transfer_values_8c_source.html#l00101">TransferValues.c:101</a></div></div>
<div class="ttc" id="agroup___enforce_html_a9301e384d1a307972fc71690c4c68478"><div class="ttname"><a href="../../d5/d78/group___enforce.html#a9301e384d1a307972fc71690c4c68478">Managed::CheckValues</a></div><div class="ttdeci">void CheckValues()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d9e/_transfer_values_8c_source.html#l00089">TransferValues.c:89</a></div></div>
<div class="ttc" id="agroup___enforce_html_a95f4cbfc145009a7756d40d11d24eff1"><div class="ttname"><a href="../../d5/d78/group___enforce.html#a95f4cbfc145009a7756d40d11d24eff1">Managed::SendValue</a></div><div class="ttdeci">void SendValue(int value_type, float value)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d9e/_transfer_values_8c_source.html#l00180">TransferValues.c:180</a></div></div>
<div class="ttc" id="agroup___enforce_html_a98fab370b3e6270a66843b1864f8acdd"><div class="ttname"><a href="../../d5/d78/group___enforce.html#a98fab370b3e6270a66843b1864f8acdd">Managed::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d9e/_transfer_values_8c_source.html#l00013">TransferValues.c:13</a></div></div>
<div class="ttc" id="agroup___enforce_html_ac01751950195b92cfa88192fb4ab2d67"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ac01751950195b92cfa88192fb4ab2d67">Managed::OnScheduledTick</a></div><div class="ttdeci">void OnScheduledTick(float deltatime)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d9e/_transfer_values_8c_source.html#l00047">TransferValues.c:47</a></div></div>
<div class="ttc" id="agroup___enforce_html_ac3f201238603d3118f414178eee44743"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ac3f201238603d3118f414178eee44743">Managed::m_HealthClient</a></div><div class="ttdeci">float m_HealthClient</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d9e/_transfer_values_8c_source.html#l00026">TransferValues.c:26</a></div></div>
<div class="ttc" id="agroup___enforce_html_acda12886d51a9ef33bc73c477f9ededc"><div class="ttname"><a href="../../d5/d78/group___enforce.html#acda12886d51a9ef33bc73c477f9ededc">Managed::CheckBlood</a></div><div class="ttdeci">void CheckBlood()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d9e/_transfer_values_8c_source.html#l00144">TransferValues.c:144</a></div></div>
<div class="ttc" id="agroup___enforce_html_ad4ff938132af70d623a8fc2e3f541716"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ad4ff938132af70d623a8fc2e3f541716">Managed::m_HealthMaxValue</a></div><div class="ttdeci">float m_HealthMaxValue</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d9e/_transfer_values_8c_source.html#l00022">TransferValues.c:22</a></div></div>
<div class="ttc" id="agroup___enforce_html_ada770db72cc2606e195d5175200abc63"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ada770db72cc2606e195d5175200abc63">Managed::SendInitValues</a></div><div class="ttdeci">void SendInitValues()</div><div class="ttdoc">Sends values on object creation.</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d9e/_transfer_values_8c_source.html#l00161">TransferValues.c:161</a></div></div>
<div class="ttc" id="agroup___enforce_html_afa08e5290026de817525a1ab3c0c3c88"><div class="ttname"><a href="../../d5/d78/group___enforce.html#afa08e5290026de817525a1ab3c0c3c88">Managed::m_LastHealthUpdate</a></div><div class="ttdeci">float m_LastHealthUpdate</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d9e/_transfer_values_8c_source.html#l00016">TransferValues.c:16</a></div></div>
<div class="ttc" id="agroup___enforce_html_afa9d92fa12d531fd33b8a786841ef5df"><div class="ttname"><a href="../../d5/d78/group___enforce.html#afa9d92fa12d531fd33b8a786841ef5df">Managed::TransferValues</a></div><div class="ttdeci">void TransferValues(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d9e/_transfer_values_8c_source.html#l00030">TransferValues.c:30</a></div></div>
<div class="ttc" id="agroup___enforce_html_afb28937eba1a169e033396858b724e45"><div class="ttname"><a href="../../d5/d78/group___enforce.html#afb28937eba1a169e033396858b724e45">Managed::m_InitialSyncSent</a></div><div class="ttdeci">protected bool m_InitialSyncSent</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d9e/_transfer_values_8c_source.html#l00028">TransferValues.c:28</a></div></div>
<div class="ttc" id="agroup___enforce_html_dd/d17/class_managed"><div class="ttname"><a href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a></div><div class="ttdoc">TODO doc.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00106">EnScript.c:107</a></div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_ga939cca08ae6c7facc9293f2dbce3def5"><div class="ttname"><a href="../../d5/d98/group___math.html#ga939cca08ae6c7facc9293f2dbce3def5">Math::Clamp</a></div><div class="ttdeci">static proto float Clamp(float value, float min, float max)</div><div class="ttdoc">Clamps 'value' to 'min' if it is lower than 'min', or to 'max' if it is higher than 'max'.</div></div>
<div class="ttc" id="agroup___math_html_gaa191e62ab92d20698e58e3a20950471a"><div class="ttname"><a href="../../d5/d98/group___math.html#gaa191e62ab92d20698e58e3a20950471a">Math::InverseLerp</a></div><div class="ttdeci">static proto float InverseLerp(float a, float b, float value)</div><div class="ttdoc">Calculates the linear value that produces the interpolant value within the range [a,...</div></div>
<div class="ttc" id="agroup___math_html_gadf8820d46eee5033af2e12212c22b16e"><div class="ttname"><a href="../../d5/d98/group___math.html#gadf8820d46eee5033af2e12212c22b16e">Math::AbsFloat</a></div><div class="ttdeci">static proto float AbsFloat(float f)</div><div class="ttdoc">Returns absolute value.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dc/d9e/_transfer_values_8c.html">TransferValues.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
